W3C home > Mailing lists > Public > www-validator@w3.org > November 2013

Re: Xhtml 1.0 strict validation warning

From: Jukka K. Korpela <jkorpela@cs.tut.fi>
Date: Thu, 28 Nov 2013 11:30:42 +0200
Message-ID: <52970D42.4080800@cs.tut.fi>
To: Frank Seidelmeier <frank@4yoursuccess.eu>, www-validator@w3.org
2013-11-27 22:30, Frank Seidelmeier wrote:

>     Warning |DOCTYPE| Override in effect!
>     The detected DOCTYPE Declaration "|<!DOCTYPE html PUBLIC
>     "-//W3C//DTD XHTML 1.0 Strict//EN"
>     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">|" has been
>     suppressed and the DOCTYPE for "|XHTML 1.0 Strict|" inserted
>     instead, but even if no errors are shown below the document will not
>     be Valid until you update it to reflect this new DOCTYPE.

It seems that you are using the validator so that you have selected a 
specific doctype in the "Doctype:" dropdown in its user interface. Just 
leave it to its initial value, "(detect automatically)".

The warning is rather silly in a case like this, where the "DOCTYPE 
override" is not an override but simply selects the same doctype as 
given in the document itself.

Yucca
Received on Thursday, 28 November 2013 09:31:22 UTC

This archive was generated by hypermail 2.3.1 : Tuesday, 1 March 2016 14:18:09 UTC